## org.irisa.genouest.logol.test
Class PrologTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.irisa.genouest.logol.test.PrologTest

All Implemented Interfaces:
  junit.framework.Test

    public class PrologTest

extends junit.framework.TestCase

Constructor Summary
`PrologTest()`

Method Summary
`void` `setUp()`
`void` `testIsExactPos()`
`void` `testIsExactWithDistinctGapAndErrorPos()`
`void` `testIsExactWithErrorOnlyPos()`
`void` `testIsExactWithGapAndErrorPos_CostError()`
`void` `testIsExactWithGapAndErrorPos_DistError()`
`void` `testIsExactWithGapOnlyPos()`
`void` `testMorphism()`
`void` `testNotExact()`
`void` `testNotExact2()`
`void` `testNotExactPos()`
`void` `testNotExactPos2()`
`void` `testNotExactPos3()`
`void` `testReadFile()`
`void` `testReverseMorphism()`
`void` `testWordContent()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrologTest

    public PrologTest()

Method Detail

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testWordContent

    public void testWordContent()

### testReadFile

    public void testReadFile()

### testIsExactPos

    public void testIsExactPos()

### testIsExactWithGapAndErrorPos_CostError

    public void testIsExactWithGapAndErrorPos_CostError()

### testIsExactWithGapAndErrorPos_DistError

    public void testIsExactWithGapAndErrorPos_DistError()

### testIsExactWithErrorOnlyPos

    public void testIsExactWithErrorOnlyPos()

### testIsExactWithDistinctGapAndErrorPos

    public void testIsExactWithDistinctGapAndErrorPos()

### testIsExactWithGapOnlyPos

    public void testIsExactWithGapOnlyPos()

### testMorphism

    public void testMorphism()

### testReverseMorphism

    public void testReverseMorphism()

### testNotExact

    public void testNotExact()

### testNotExact2

    public void testNotExact2()

### testNotExactPos

    public void testNotExactPos()

### testNotExactPos2

    public void testNotExactPos2()

### testNotExactPos3

    public void testNotExactPos3()